Http11Protocol (Tomcat API Documentation)
Keywords: org.apache.coyote.http11.Http11Protocol class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.coyote.http11
Class Http11Protocol

    java.lang.Object
      org.apache.coyote.http11.Http11BaseProtocol
          org.apache.coyote.http11.Http11Protocol

All Implemented Interfaces:
  javax.management.MBeanRegistration, ProtocolHandler

public class Http11Protocol
extends Http11BaseProtocol
implements javax.management.MBeanRegistration

Abstract the protocol implementation, including threading, etc. Processor is single threaded and specific to stream-based protocols, will not fit Jk protocols like JNI.

Author:
  Remy Maucherat, Costin Manolache

Field Summary
`protected java.lang.String` | `domain`
`protected javax.management.MBeanServer` | `mserver`
`protected javax.management.ObjectName` | `oname`

Fields inherited from class org.apache.coyote.http11.Http11BaseProtocol
`attributes, cHandler, ep, log, secure, sm, socketFactory, socketFactoryName, sslImplementation, sslImplementationName, THREAD_DATA_OBJECT_NAME, THREAD_DATA_PROCESSOR, tp`

Constructor Summary
`Http11Protocol()`

Method Summary
`protected org.apache.coyote.http11.Http11BaseProtocol.Http11ConnectionHandler` | `createConnectionHandler()`
`void` | `destroy()`
`java.lang.String` | `getDomain()`
`javax.management.ObjectName` | `getObjectName()`
`void` | `postDeregister()`
`void` | `postRegister(java.lang.Boolean registrationDone)`
`void` | `preDeregister()`
`javax.management.ObjectName` | `preRegister(javax.management.MBeanServer server, javax.management.ObjectName name)`
`void` | `start()` Start the protocol.

Methods inherited from class org.apache.coyote.http11.Http11BaseProtocol
`getAdapter, getAddress, getAlgorithm, getAttribute, getAttributeNames, getBacklog, getCiphers, getClientauth, getCompressableMimeType, getCompression, getCompressionMinSize, getDisableUploadTimeout, getKeepAlive, getKeyAlias, getKeypass, getKeystore, getKeytype, getMaxHttpHeaderSize, getMaxKeepAliveRequests, getMaxSavePostSize, getMaxSpareThreads, getMaxThreads, getMinSpareThreads, getName, getNoCompressionUserAgents, getPort, getProperty, getProtocol, getProtocols, getReportedname, getRestrictedUserAgents, getSecure, getServer, getServerSoTimeout, getSocketBuffer, getSocketCloseDelay, getSocketFactory, getSoLinger, getSoTimeout, getSSLImplementation, getStrategy, getTcpNoDelay, getThreadPriority, getTimeout, init, pause, resume, setAdapter, setAddress, setAlgorithm, setAttribute, setBacklog, setCiphers, setClientauth, setCompressableMimeType, setCompression, setCompressionMinSize, setDisableUploadTimeout, setKeepAlive, setKeyAlias, setKeypass, setKeystore, setKeytype, setMaxHttpHeaderSize, setMaxKeepAliveRequests, setMaxSavePostSize, setMaxSpareThreads, setMaxThreads, setMinSpareThreads, setNoCompressionUserAgents, setPort, setProperty, setProtocol, setProtocols, setReportedname, setRestrictedUserAgents, setSecure, setServer, setServerSoTimeout, setSocketBuffer, setSocketCloseDelay, setSocketFactory, setSoLinger, setSoTimeout, setSSLImplementation, setStrategy, setTcpNoDelay, setThreadPriority, setTimeout`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### domain

    protected java.lang.String domain

### oname

    protected javax.management.ObjectName oname

### mserver

    protected javax.management.MBeanServer mserver

Constructor Detail

### Http11Protocol

    public Http11Protocol()

Method Detail

### createConnectionHandler

    protected org.apache.coyote.http11.Http11BaseProtocol.Http11ConnectionHandler createConnectionHandler()

  Overrides:
    `createConnectionHandler` in class `Http11BaseProtocol`

### start

    public void start()
               throws java.lang.Exception

  Description copied from interface: `ProtocolHandler`
  Start the protocol.

  Specified by:
    `start` in interface `ProtocolHandler`
  Overrides:
    `start` in class `Http11BaseProtocol`
  Throws:
    `java.lang.Exception`

### destroy

    public void destroy()
                 throws java.lang.Exception

  Specified by:
    `destroy` in interface `ProtocolHandler`
  Overrides:
    `destroy` in class `Http11BaseProtocol`
  Throws:
    `java.lang.Exception`

### getObjectName

    public javax.management.ObjectName getObjectName()

### getDomain

    public java.lang.String getDomain()

### preRegister

    public javax.management.ObjectName preRegister(javax.management.MBeanServer server,
                                                   javax.management.ObjectName name)
                                            throws java.lang.Exception

  Specified by:
    `preRegister` in interface `javax.management.MBeanRegistration`
  Throws:
    `java.lang.Exception`

### postRegister

    public void postRegister(java.lang.Boolean registrationDone)

  Specified by:
    `postRegister` in interface `javax.management.MBeanRegistration`

### preDeregister

    public void preDeregister()
                       throws java.lang.Exception

  Specified by:
    `preDeregister` in interface `javax.management.MBeanRegistration`
  Throws:
    `java.lang.Exception`

### postDeregister

    public void postDeregister()

  Specified by:
    `postDeregister` in interface `javax.management.MBeanRegistration`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.